package cn.com.countrygarden.bi.main.dao.dup;

import java.util.List;
import java.util.Map;

import com.github.pagehelper.PageRowBounds;

import cn.com.countrygarden.bi.main.model.dup.SiteResources;

/**
 * <pre>
 * 。场地资源Mapper
 * </pre>
 * 
 * @author developer developer@meicloud.com
 * @version 1.00.00
 * 
 *          <pre>
 * 修改记录
 *    修改后版本:     修改人：  修改日期:     修改内容:
 * </pre>
 */
public interface SiteResourcesMapper {

	/**
	 * 查询场地资源(全部),模糊查询
	 * @param siteResources
	 * @return
	 */
	List<SiteResources> findAllSiteResourcesControllerLike(SiteResources siteResources,PageRowBounds pageRowBounds);
	
	/**
	 * 插入场地资源
	 * @param siteResources
	 * @return
	 */
	int insertResources(SiteResources siteResources);
	
	/**
	 * 更新场地资源
	 * @param siteResources
	 * @return
	 */
	int updateResources(SiteResources siteResources);
	
	/**
	 *	删除 
	 * @param siteResources
	 * @return
	 */
	int deleteResources(SiteResources siteResources);
    /**
     *  根据资源位置判断 是否重复
     * @param siteResources
     * @return
     */
    String resourcesIsRepeat(SiteResources siteResources);
    /**
     *  查询最大主键id，用做生成资源编号
     * @param siteResources
     * @return
     */
    Integer selectMaxResourcesId();
    /**
     *  查询字典值
     * @param 
     * @return
     */
   List<Map<String,String>> findByDictCode(String code);

    int addSiteList(List<SiteResources> list);

    List<SiteResources> findAllSiteResourcesControllerLike(SiteResources siteResources);
}
